看到一个帖子, https://www.maketecheasier.com/make-arch-linux-more-stable/, 说避免老升级内核,用lts版,装完可以把原先内核干掉:

>sudo pacman -S linux-lts
>```
>
>When you’ve installed the LTS kernel, it’s a good idea to remove the bleeding edge kernel from your system.
>
>```
>sudo pacman -R linux 
>```

我内心闪过一个想法,难道不用配置启动么?也没去确认,照做后重启,你妹啊,太坑了,直接就找不到内核死掉!



----

因为这个贴子太不负责,换了kernel之后,应该再run:

grub-mkconfig -o /boot/grub/grub.cfg ```

如果是syslinux的话,还得编辑/boot/syslinux/syslinux.cfg,把所有的kernel都指向-lts版本。

然后不负责任的帖子,加上粗心的我,系统已然无法开机。


还好我是老司机,grub找内核启动:

然而因为没法挂分区,只能启动rootfs,于是在rootfs中挂载了boot分区,这时候我离成功只差一步,那就是修改grub.cfg。但是rootfs中没有vim,没有nano,一个文本编辑器都没有,还好有sed救命,修改后重启,linux又活回来了,囧rz….